Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression
Class MessageProcessorExpressionEvaluator

    java.lang.Object
      org.mule.expression.MessageProcessorExpressionEvaluator

All Implemented Interfaces:
  ExpressionEvaluator, NamedObject

    public class MessageProcessorExpressionEvaluator

extends Object
implements ExpressionEvaluator

Returns the message result of invoking the specified globally accessible message processor. If just the message processor name is specified then the current message is used. If a nested expression is specified then this is first evaluated and the result of this evaluation used when invoking the message processor Example:

- "StringToMyObjext" - invokes the 'StringToMyObjext' transformer using the current message
- "StringToMyObjext:header:one" - invokes the 'StringToMyObjext' transformerusing the value of the outbound header 'one'
- "thatFlow:xpath://my/path" - invokes the 'thatFlow' flow using the result of the xpath evaluation

If no expression is set the MuleMessage itself will be returned.

See Also:
  `ExpressionEvaluator`, `DefaultExpressionManager`

Field Summary
`protected Log` | `logger`
`static String` | `NAME`

Constructor Summary
`MessageProcessorExpressionEvaluator()`

Method Summary
`Object` | `evaluate(String expression, MuleMessage message)` Extracts a single property from the message
`protected MuleMessage` | `evaluateProcessorArgument(MuleMessage message, String processorArgExpression)`
`String` | `getName()` Gets the name of the object
`protected MessageProcessor` | `lookupMessageProcessor(String processorName, MuleContext muleContext)`
`void` | `setName(String name)` Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### MessageProcessorExpressionEvaluator

    public MessageProcessorExpressionEvaluator()

Method Detail

### evaluate

    public Object evaluate(String expression,
                           MuleMessage message)

  Description copied from interface: `ExpressionEvaluator`
  Extracts a single property from the message

  Specified by:
    `evaluate` in interface `ExpressionEvaluator`
  Parameters:
    `expression` - the property expression or expression
    `message` - the message to extract from
  Returns:
    the result of the extraction or null if the property was not found

### lookupMessageProcessor

    protected MessageProcessor lookupMessageProcessor(String processorName,
                                                      MuleContext muleContext)

### evaluateProcessorArgument

    protected MuleMessage evaluateProcessorArgument(MuleMessage message,
                                                    String processorArgExpression)

### getName

    public String getName()

  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.